HttpRequest::clearHistory
HttpRequest::enableCookies
HttpRequest
PHP Manual

# HttpRequest::__construct

HttpRequest constructor

### Description

public HttpRequest::__construct ([ string `$url` [, int `$request_method` = HTTP_METH_GET [, array `$options` ]]] )

Instantiate a new HttpRequest object.

### Parameters

`url`

  the target request url

`request_method`

  the request method to use

`options`

  an associative array with request options

### Errors/Exceptions

Throws HttpException.